Booking

Get bookings for date

get
/WebServices/Epos/v1/Restaurant/{restaurantId}/DiaryData

Gets the restaurant's bookings for a date.

Path parameters
restaurantIdinteger · int32Required

The restaurant's id.

Query parameters
datestring · date-timeRequired

The date to return information for.

includeUnallocatedBookingsbooleanOptional

Includes unallocated bookings in the response when true, excludes them otherwise.

Responses
chevron-right
200

OK

Represents a diary booking.

BookingIdinteger · int32Optional

The booking id.

BookingReferencestringOptional

The booking reference.

VisitDateTimestring · date-timeOptional

The date and time of the booking.

Durationinteger · int32Optional

The booking duration (in minutes).

TurnTimeinteger · int32Optional

The booking turntime.

Coversinteger · int32Optional

The number of covers.

Tablesinteger · int32[]Optional

The tables(s) that are assigned to the booking.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

CustomerIdinteger · int32Optional

The id of the customer.

CustomerFullNamestringOptional

The customer's full name.

CustomerIsVipbooleanOptional

True if a customer is a VIP, false otherwise.

CustomerCommentsstringOptional

Customer comments.

IsTableLockedbooleanOptional

True if the booking is locked to the table(s), false otherwise.

HasPromotionsbooleanOptional

True if the booking has any promotions associated with it, false otherwise.

HasPaymentsbooleanOptional

True if the booking has any payments, false otherwise.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

IsWalkInbooleanOptional

True if the booking is a walk in, false otherwise.

NumberOfBookingsinteger · int32Optional
AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

CommentsstringOptional

The booking comments.

ArrivalStatusstring · enumOptional

The customer's arrival status.

Possible values:
MealStatusstring · enumOptional

The status of the meal.

Possible values:
IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

Statusstring · enumOptional

The booking's status.

Possible values:
get
/WebServices/Epos/v1/Restaurant/{restaurantId}/DiaryData
200

OK

Get a booking

get
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}

Gets the specified booking.

Path parameters
restaurantIdinteger · int32Required

The restaurant id.

bookingIdinteger · int32Required

The booking id.

Responses
chevron-right
200

OK

Represents a restaurant booking.

BookingIdinteger · int32Optional

The booking id.

BookingReferencestringOptional

The booking reference.

Statusstring · enumOptional

The booking status.

Possible values:
VisitDateTimestring · date-timeOptional

The date and time of the booking.

BookingDateTimestring · date-timeOptional

The date and time when the booking was created.

Coversinteger · int32Optional

The number of covers.

AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

ArrivalStatusstring · enumOptional

The customer's arrival status.

Possible values:
MealStatusstring · enumOptional

The status of the meal.

Possible values:
ChannelNamestringOptional

The name of the booking channel.

CommentsstringOptional

The booking comments.

MenuNamestringOptional

The name of the menu.

MenuIdinteger · int32Optional

The id of the menu.

Typestring · enumOptional

The type of booking.

Possible values:
ChannelIdinteger · int32Optional

The id of the booking channel.

Tablesinteger · int32[]Optional

The tables(s) that are assigned to the booking.

Durationinteger · int32Optional

The booking duration (in minutes).

TurnTimeinteger · int32Optional

The booking turntime.

RestaurantIdinteger · int32Optional

The id of the restaurant for the booking.

ConfirmedByPhonebooleanOptional

True if the booking has been confirmed by phone, false otherwise.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

ReceiptXmlstringOptional

The receipt for the booking.

CustomerSpendnumber · doubleOptional

The customer spend amount.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

MoveStatusstring · enumOptional

The result from moving a booking.

Possible values:
MoveMessagestringOptional

Message related to the booking move.

MoveWarningTypestring · enumOptional

The move booking warning type.

Possible values:
RoomNumberstringOptional

The room number that the booking is associated with, if applicable.

get
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}
200

OK

Create a booking

post
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking

Creates a booking.

Path parameters
restaurantIdinteger · int32Required

The restaurant id.

Query parameters
overrideCoversbooleanOptional

True of table covers can be overriden, false otherwise.

Body

Represents a new restaurant booking.

VisitDateTimestring · date-timeRequired

The date and time of the booking.

Coversinteger · int32Required

The party size of the booking.

AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made. If set to 0, the AreaId will be defaulted based on the booking's tables.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

CommentsstringOptional

Any comments specific to this booking. This may be information added by the restaurant staff to help them deal with the booking, or it may be some kind of special request made by a customer. The maximum length of this field is 1000 characters.

MenuIdinteger · int32Optional

The id of the menu.

Typestring · enumOptional

The type of booking. Typically you should set this to "Internal".

Possible values:
ChannelIdinteger · int32Optional

The id of the booking channel. When 0, this will be defaulted to the internal channel.

Tablesinteger · int32[]Required

The Ids of the tables that are assigned to the booking. Specifying more than one Id indicates that the booking is being placed on a join. If the join hasn't already been configured in ResDiary in advance, we will automatically create a temporary join for the booking.

Durationinteger · int32Optional

The booking duration (in minutes). When 0 this will be defaulted to the default duration for the booking based on the restaurant's settings.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

CustomerSpendnumber · doubleOptional

The amount of money the customer has spent on this booking.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

RoomNumberstringOptional

The room number that the booking should be associated with, if applicable.

Responses
chevron-right
200

OK

Represents a restaurant booking.

BookingIdinteger · int32Optional

The booking id.

BookingReferencestringOptional

The booking reference.

Statusstring · enumOptional

The booking status.

Possible values:
VisitDateTimestring · date-timeOptional

The date and time of the booking.

BookingDateTimestring · date-timeOptional

The date and time when the booking was created.

Coversinteger · int32Optional

The number of covers.

AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

ArrivalStatusstring · enumOptional

The customer's arrival status.

Possible values:
MealStatusstring · enumOptional

The status of the meal.

Possible values:
ChannelNamestringOptional

The name of the booking channel.

CommentsstringOptional

The booking comments.

MenuNamestringOptional

The name of the menu.

MenuIdinteger · int32Optional

The id of the menu.

Typestring · enumOptional

The type of booking.

Possible values:
ChannelIdinteger · int32Optional

The id of the booking channel.

Tablesinteger · int32[]Optional

The tables(s) that are assigned to the booking.

Durationinteger · int32Optional

The booking duration (in minutes).

TurnTimeinteger · int32Optional

The booking turntime.

RestaurantIdinteger · int32Optional

The id of the restaurant for the booking.

ConfirmedByPhonebooleanOptional

True if the booking has been confirmed by phone, false otherwise.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

ReceiptXmlstringOptional

The receipt for the booking.

CustomerSpendnumber · doubleOptional

The customer spend amount.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

MoveStatusstring · enumOptional

The result from moving a booking.

Possible values:
MoveMessagestringOptional

Message related to the booking move.

MoveWarningTypestring · enumOptional

The move booking warning type.

Possible values:
RoomNumberstringOptional

The room number that the booking is associated with, if applicable.

post
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking
200

OK

Update arrival status

put
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/ArrivalStatus

Updates the arrival status of a booking.

Path parameters
restaurantIdinteger · int32Required

The restaurant id.

bookingIdinteger · int32Required

The booking id.

Body
string · enumOptionalPossible values:
Responses
chevron-right
200

OK

Represents a restaurant booking.

BookingIdinteger · int32Optional

The booking id.

BookingReferencestringOptional

The booking reference.

Statusstring · enumOptional

The booking status.

Possible values:
VisitDateTimestring · date-timeOptional

The date and time of the booking.

BookingDateTimestring · date-timeOptional

The date and time when the booking was created.

Coversinteger · int32Optional

The number of covers.

AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

ArrivalStatusstring · enumOptional

The customer's arrival status.

Possible values:
MealStatusstring · enumOptional

The status of the meal.

Possible values:
ChannelNamestringOptional

The name of the booking channel.

CommentsstringOptional

The booking comments.

MenuNamestringOptional

The name of the menu.

MenuIdinteger · int32Optional

The id of the menu.

Typestring · enumOptional

The type of booking.

Possible values:
ChannelIdinteger · int32Optional

The id of the booking channel.

Tablesinteger · int32[]Optional

The tables(s) that are assigned to the booking.

Durationinteger · int32Optional

The booking duration (in minutes).

TurnTimeinteger · int32Optional

The booking turntime.

RestaurantIdinteger · int32Optional

The id of the restaurant for the booking.

ConfirmedByPhonebooleanOptional

True if the booking has been confirmed by phone, false otherwise.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

ReceiptXmlstringOptional

The receipt for the booking.

CustomerSpendnumber · doubleOptional

The customer spend amount.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

MoveStatusstring · enumOptional

The result from moving a booking.

Possible values:
MoveMessagestringOptional

Message related to the booking move.

MoveWarningTypestring · enumOptional

The move booking warning type.

Possible values:
RoomNumberstringOptional

The room number that the booking is associated with, if applicable.

put
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/ArrivalStatus
200

OK

Update meal status

put
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/MealStatus

Updates the meal status of a booking.

Path parameters
restaurantIdinteger · int32Required

The restaurant id.

bookingIdinteger · int32Required

The booking id.

Body
string · enumOptionalPossible values:
Responses
chevron-right
200

OK

Represents a restaurant booking.

BookingIdinteger · int32Optional

The booking id.

BookingReferencestringOptional

The booking reference.

Statusstring · enumOptional

The booking status.

Possible values:
VisitDateTimestring · date-timeOptional

The date and time of the booking.

BookingDateTimestring · date-timeOptional

The date and time when the booking was created.

Coversinteger · int32Optional

The number of covers.

AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

ArrivalStatusstring · enumOptional

The customer's arrival status.

Possible values:
MealStatusstring · enumOptional

The status of the meal.

Possible values:
ChannelNamestringOptional

The name of the booking channel.

CommentsstringOptional

The booking comments.

MenuNamestringOptional

The name of the menu.

MenuIdinteger · int32Optional

The id of the menu.

Typestring · enumOptional

The type of booking.

Possible values:
ChannelIdinteger · int32Optional

The id of the booking channel.

Tablesinteger · int32[]Optional

The tables(s) that are assigned to the booking.

Durationinteger · int32Optional

The booking duration (in minutes).

TurnTimeinteger · int32Optional

The booking turntime.

RestaurantIdinteger · int32Optional

The id of the restaurant for the booking.

ConfirmedByPhonebooleanOptional

True if the booking has been confirmed by phone, false otherwise.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

ReceiptXmlstringOptional

The receipt for the booking.

CustomerSpendnumber · doubleOptional

The customer spend amount.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

MoveStatusstring · enumOptional

The result from moving a booking.

Possible values:
MoveMessagestringOptional

Message related to the booking move.

MoveWarningTypestring · enumOptional

The move booking warning type.

Possible values:
RoomNumberstringOptional

The room number that the booking is associated with, if applicable.

put
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/MealStatus
200

OK

Update a booking's tables

put
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/Tables

Updates the tables a booking is on / transfers a table.

Path parameters
restaurantIdinteger · int32Required

The restaurant id.

bookingIdinteger · int32Required

The booking id.

Bodyinteger · int32[]
integer · int32[]Optional
Responses
chevron-right
200

OK

Represents a restaurant booking.

BookingIdinteger · int32Optional

The booking id.

BookingReferencestringOptional

The booking reference.

Statusstring · enumOptional

The booking status.

Possible values:
VisitDateTimestring · date-timeOptional

The date and time of the booking.

BookingDateTimestring · date-timeOptional

The date and time when the booking was created.

Coversinteger · int32Optional

The number of covers.

AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

ArrivalStatusstring · enumOptional

The customer's arrival status.

Possible values:
MealStatusstring · enumOptional

The status of the meal.

Possible values:
ChannelNamestringOptional

The name of the booking channel.

CommentsstringOptional

The booking comments.

MenuNamestringOptional

The name of the menu.

MenuIdinteger · int32Optional

The id of the menu.

Typestring · enumOptional

The type of booking.

Possible values:
ChannelIdinteger · int32Optional

The id of the booking channel.

Tablesinteger · int32[]Optional

The tables(s) that are assigned to the booking.

Durationinteger · int32Optional

The booking duration (in minutes).

TurnTimeinteger · int32Optional

The booking turntime.

RestaurantIdinteger · int32Optional

The id of the restaurant for the booking.

ConfirmedByPhonebooleanOptional

True if the booking has been confirmed by phone, false otherwise.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

ReceiptXmlstringOptional

The receipt for the booking.

CustomerSpendnumber · doubleOptional

The customer spend amount.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

MoveStatusstring · enumOptional

The result from moving a booking.

Possible values:
MoveMessagestringOptional

Message related to the booking move.

MoveWarningTypestring · enumOptional

The move booking warning type.

Possible values:
RoomNumberstringOptional

The room number that the booking is associated with, if applicable.

put
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/Tables
200

OK

Get booking modifications for a service

get
/WebServices/Epos/v1/Restaurant/{restaurantId}/BookingChangesForServiceSince/{serviceId}

Gets the changes to bookings since the specified time.

Path parameters
restaurantIdinteger · int32Required

The restaurant Id.

serviceIdinteger · int32Required

The service Id to return changes for.

Query parameters
changeDateTimestring · date-timeRequired

The date to return changes for.

timestringRequired

The time to return changes after (in UTC).

Responses
chevron-right
200

OK

Represents a change to a booking.

BookingIdinteger · int32Optional

The booking Id.

ChangeDateTimestring · date-timeOptional

The date and time the booking was changed in UTC.

ChangeTypestring · enumOptional

The type of modification that was made.

Possible values:
Statusstring · enumOptional

The booking's status, or null if the status hasn't changed.

Possible values:
Coversinteger · int32Optional

The number of covers for the booking, or null if the covers haven't changed.

VisitDateTimestring · date-timeOptional

The visit date and time of the booking, or null if it hasn't changed.

Promotionsinteger · int32[]Optional

The list of promotions for the booking, or null if they haven't changed. When empty this indicates that the booking has been changed to standard availability.

Costnumber · doubleOptional

The cost of the booking, or null if it hasn't changed.

IsReviewedbooleanOptional

true if the booking has been reviewed, or null if it hasn't changed.

OldProviderIdinteger · int32Optional

The old restaurant Id, or null if the booking hasn't been moved.

NewProviderIdinteger · int32Optional

The new restaurant Id, or null if the booking hasn't been moved.

ArrivalStatusstring · enumOptional

The arrival status of the booking.

Possible values:
RoomNumberstringOptional

The the new room number of the booking, null if this hasn't changed

get
/WebServices/Epos/v1/Restaurant/{restaurantId}/BookingChangesForServiceSince/{serviceId}
200

OK

Get booking modifications

get
/WebServices/Epos/v1/Restaurant/{restaurantId}/BookingChanges

Gets any changes that have been made to bookings where the change was made after the specified date. You can use this request to periodically poll for changes to bookings in a restaurant.

Path parameters
restaurantIdinteger · int32Required

The restaurant's Id.

Query parameters
datestring · date-timeRequired

The date and time (in UTC) to get the changes after.

Responses
chevron-right
200

OK

Represents a change to a booking.

BookingIdinteger · int32Optional

The booking Id.

ChangeDateTimestring · date-timeOptional

The date and time the booking was changed in UTC.

ChangeTypestring · enumOptional

The type of modification that was made.

Possible values:
Statusstring · enumOptional

The booking's status, or null if the status hasn't changed.

Possible values:
Coversinteger · int32Optional

The number of covers for the booking, or null if the covers haven't changed.

VisitDateTimestring · date-timeOptional

The visit date and time of the booking, or null if it hasn't changed.

Promotionsinteger · int32[]Optional

The list of promotions for the booking, or null if they haven't changed. When empty this indicates that the booking has been changed to standard availability.

Costnumber · doubleOptional

The cost of the booking, or null if it hasn't changed.

IsReviewedbooleanOptional

true if the booking has been reviewed, or null if it hasn't changed.

OldProviderIdinteger · int32Optional

The old restaurant Id, or null if the booking hasn't been moved.

NewProviderIdinteger · int32Optional

The new restaurant Id, or null if the booking hasn't been moved.

ArrivalStatusstring · enumOptional

The arrival status of the booking.

Possible values:
RoomNumberstringOptional

The the new room number of the booking, null if this hasn't changed

get
/WebServices/Epos/v1/Restaurant/{restaurantId}/BookingChanges
200

OK

Swap bookings

get
/WebServices/Epos/v1/Restaurant/{restaurantId}/SwapBookings/{bookingId1}/{bookingId2}

Swaps the tables of the two specified bookings.

Path parameters
restaurantIdinteger · int32Required

The restaurant Id.

bookingId1integer · int32Required

The first booking.

bookingId2integer · int32Required

The booking to swap it with.

Responses
get
/WebServices/Epos/v1/Restaurant/{restaurantId}/SwapBookings/{bookingId1}/{bookingId2}
204

No Content

No content

Add receipt to a booking

post
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/Receipt

Updates the XML receipt for a booking.

Path parameters
restaurantIdinteger · int32Required

The restaurant id.

bookingIdinteger · int32Required

The booking id.

Query parameters
receiptXmlobjectRequired

The XML string for the receipt. Must be passed in the body of the request and must be valid XML.

Responses
chevron-right
200

OK

Represents a restaurant booking.

BookingIdinteger · int32Optional

The booking id.

BookingReferencestringOptional

The booking reference.

Statusstring · enumOptional

The booking status.

Possible values:
VisitDateTimestring · date-timeOptional

The date and time of the booking.

BookingDateTimestring · date-timeOptional

The date and time when the booking was created.

Coversinteger · int32Optional

The number of covers.

AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

ArrivalStatusstring · enumOptional

The customer's arrival status.

Possible values:
MealStatusstring · enumOptional

The status of the meal.

Possible values:
ChannelNamestringOptional

The name of the booking channel.

CommentsstringOptional

The booking comments.

MenuNamestringOptional

The name of the menu.

MenuIdinteger · int32Optional

The id of the menu.

Typestring · enumOptional

The type of booking.

Possible values:
ChannelIdinteger · int32Optional

The id of the booking channel.

Tablesinteger · int32[]Optional

The tables(s) that are assigned to the booking.

Durationinteger · int32Optional

The booking duration (in minutes).

TurnTimeinteger · int32Optional

The booking turntime.

RestaurantIdinteger · int32Optional

The id of the restaurant for the booking.

ConfirmedByPhonebooleanOptional

True if the booking has been confirmed by phone, false otherwise.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

ReceiptXmlstringOptional

The receipt for the booking.

CustomerSpendnumber · doubleOptional

The customer spend amount.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

MoveStatusstring · enumOptional

The result from moving a booking.

Possible values:
MoveMessagestringOptional

Message related to the booking move.

MoveWarningTypestring · enumOptional

The move booking warning type.

Possible values:
RoomNumberstringOptional

The room number that the booking is associated with, if applicable.

post
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/Receipt
200

OK

Unallocate a booking

post
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/Unallocate

Unallocates a booking (i.e. removes the booking from the diary so that another booking can be placed on the same table / time). When bookings are unallocated, they will appear on the unallocated bookings list in the diary, and the restaurant staff will have to decide what to do with them.

Path parameters
restaurantIdinteger · int32Required

The restaurant id.

bookingIdinteger · int32Required

The booking id.

Responses
chevron-right
200

OK

Represents a restaurant booking.

BookingIdinteger · int32Optional

The booking id.

BookingReferencestringOptional

The booking reference.

Statusstring · enumOptional

The booking status.

Possible values:
VisitDateTimestring · date-timeOptional

The date and time of the booking.

BookingDateTimestring · date-timeOptional

The date and time when the booking was created.

Coversinteger · int32Optional

The number of covers.

AreaIdinteger · int32Optional

The id of the restaurant area in which the booking has been made.

ServiceIdinteger · int32Optional

The id of the service the booking is for.

ArrivalStatusstring · enumOptional

The customer's arrival status.

Possible values:
MealStatusstring · enumOptional

The status of the meal.

Possible values:
ChannelNamestringOptional

The name of the booking channel.

CommentsstringOptional

The booking comments.

MenuNamestringOptional

The name of the menu.

MenuIdinteger · int32Optional

The id of the menu.

Typestring · enumOptional

The type of booking.

Possible values:
ChannelIdinteger · int32Optional

The id of the booking channel.

Tablesinteger · int32[]Optional

The tables(s) that are assigned to the booking.

Durationinteger · int32Optional

The booking duration (in minutes).

TurnTimeinteger · int32Optional

The booking turntime.

RestaurantIdinteger · int32Optional

The id of the restaurant for the booking.

ConfirmedByPhonebooleanOptional

True if the booking has been confirmed by phone, false otherwise.

IsLeaveTimeConfirmedbooleanOptional

True if the leave time is confirmed, false otherwise.

ReceiptXmlstringOptional

The receipt for the booking.

CustomerSpendnumber · doubleOptional

The customer spend amount.

SpecialRequestsinteger · int32[]Optional

Special requests (a.k.a. Booking Codes).

IsGuestIntendingToPayByAppbooleanOptional

True if the customer intends to pay by app, false otherwise.

MoveStatusstring · enumOptional

The result from moving a booking.

Possible values:
MoveMessagestringOptional

Message related to the booking move.

MoveWarningTypestring · enumOptional

The move booking warning type.

Possible values:
RoomNumberstringOptional

The room number that the booking is associated with, if applicable.

post
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/Unallocate
200

OK

Reallocate a booking

post
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/Reallocate

Attempts to reallocate an unallocated booking (i.e. seat them on a table again). The response returns an object indicating whether the booking was successfully reallocated, along with the booking's details (including the new table Ids).

Path parameters
restaurantIdinteger · int32Required

The restaurant id.

bookingIdinteger · int32Required

The booking id.

Responses
chevron-right
200

OK

Represents the result of re-allocating a booking.

SuccessbooleanOptional

True if the reallocation was successful, false otherwise.

post
/WebServices/Epos/v1/Restaurant/{restaurantId}/Booking/{bookingId}/Reallocate
200

OK

Last updated

Was this helpful?